### File

`packages/components/externals/charts/model/apex-types.ts`

### Description

Main Chart options See https://apexcharts.com/docs/options/chart/

### Index

###### Properties

- Optional animations
- Optional background
- Optional brush
- Optional defaultLocale
- Optional dropShadow
- Optional events
- Optional fontFamily
- Optional foreColor
- Optional group
- Optional height
- Optional id
- Optional locales
- Optional nonce
- Optional offsetX
- Optional offsetY
- Optional parentHeightOffset
- Optional redrawOnParentResize
- Optional redrawOnWindowResize
- Optional selection
- Optional sparkline
- Optional stacked
- Optional stackOnlyBar
- Optional stackType
- Optional toolbar
- type
- Optional width
- Optional zoom

### Properties

animations
`animations: `literal type``
Type : `literal type`
Optional

background
`background: `string``
Type : `string`
Optional

brush
`brush: `literal type``
Type : `literal type`
Optional

defaultLocale
`defaultLocale: `string``
Type : `string`
Optional

dropShadow
`dropShadow: `unknown``
Type : `unknown`
Optional

events
`events: `literal type``
Type : `literal type`
Optional

fontFamily
`fontFamily: `string``
Type : `string`
Optional

foreColor
`foreColor: `string``
Type : `string`
Optional

group
`group: `string``
Type : `string`
Optional

height
`height: `string | number``
Type : `string | number`
Optional

id
`id: `string``
Type : `string`
Optional

locales
`locales: `ApexLocale[]``
Type : `ApexLocale[]`
Optional

nonce
`nonce: `string``
Type : `string`
Optional

offsetX
`offsetX: `number``
Type : `number`
Optional

offsetY
`offsetY: `number``
Type : `number`
Optional

parentHeightOffset
`parentHeightOffset: `number``
Type : `number`
Optional

redrawOnParentResize
`redrawOnParentResize: `boolean``
Type : `boolean`
Optional

redrawOnWindowResize
`redrawOnWindowResize: `boolean | Function``
Type : `boolean | Function`
Optional

selection
`selection: `literal type``
Type : `literal type`
Optional

sparkline
`sparkline: `literal type``
Type : `literal type`
Optional

stacked
`stacked: `boolean``
Type : `boolean`
Optional

stackOnlyBar
`stackOnlyBar: `boolean``
Type : `boolean`
Optional

stackType
`stackType: `"normal" | "100%"``
Type : `"normal" | "100%"`
Optional

toolbar
`toolbar: `literal type``
Type : `literal type`
Optional

type
`type: `ChartType``
Type : `ChartType`

width
`width: `string | number``
Type : `string | number`
Optional

zoom
`zoom: `literal type``
Type : `literal type`
Optional

# results matching ""

# No results matching ""